Skip to main content
`Ctrl`+`K`

# add_data_origin_info

astropy.io.votable.dataorigin.add_data_origin_info(vot_element, info_name, info_value, content=None)
  Update VOTable element with information compatible

    with DataOrigin vocabulary.

  Parameters:
    vot_element `astropy.io.votable.tree.VOTableFile` | `astropy.io.votable.tree.Resource` | `astropy.io.votable.tree.TableElement`

      VOTable element where to add the information

    info_name `python:str`

      Attribute name (see DATAORIGIN_INFO, DATAORIGIN_QUERY_INFO)

    info_value `python:str`

      value

    content `python:str`, optional

      Content in `<INFO>` (default: None)

  Raises:
    `TypeError`

      input type not managed or information name not recognized

    `ValueError`

      `info_name` already exists in `vot_element`

    `ValueError`

      `info_name` is an unknown DataOrigin name.

  Notes

  The function checks information name and adds the VOTable element with a new `<INFO>`.